Dyn Updater for Linux Breaks Apt

7a389f90-9522-4e09-b6f9-c91eb888bab1

    Getting the Dep Package from the Dyn Website installs easily and works well, however,

     

    After installing, apt and apt-get are broken because of the bad signature on the package.  When trying to use them:

     

    "W: GPG error: http://cdn.dyn.com/dynupdater/debian stable/ Release: The following signatures were invalid: CE739DA31CC6A6AF2DABB450C0943F422A34BCA6

    E: The repository 'http://cdn.dyn.com/dynupdater/debian stable/ Release' is not signed.

    N: Updating from such a repository can't be done securely, and is therefore disabled by default."

     

    How does one work around this, in addition to getting Dyn to update their signature?